## org.mortbay.util
Class TypeUtil

    java.lang.Object
      |
      +--org.mortbay.util.TypeUtil

Direct Known Subclasses:
  Primitive

public class TypeUtil
extends java.lang.Object

TYPE Utilities. Provides various static utiltiy methods for manipulating types and their string representations.

Since:
  Jetty 4.1
Version:
  $Revision: 1.8 $
Author:
  Greg Wilkins (gregw)

Constructor Summary
`TypeUtil()`

Method Summary
`static byte` `convertHexDigit(byte b)`
`static byte[]` `fromHexString(java.lang.String s)`
`static java.lang.Class` `fromName(java.lang.String name)` Class from a canonical name for a type.
`static java.lang.Integer` `newInteger(int i)` Convert int to Integer using cache.
`static byte[]` `parseBytes(java.lang.String s, int base)`
`static int` `parseInt(java.lang.String s, int offset, int length, int base)` Parse an int from a substring.
`static java.lang.String` `toHexString(byte[] b)`
`static java.lang.String` `toHexString(byte[] b, int offset, int length)`
`static java.lang.String` `toName(java.lang.Class type)` Canonical name for a type.
`static java.lang.String` `toString(byte[] bytes, int base)`
`static java.lang.String` `toString(int i)` Convert int to String using cache.
`static java.lang.Object` `valueOf(java.lang.Class type, java.lang.String value)` Convert String value to instance.
`static java.lang.Object` `valueOf(java.lang.String type, java.lang.String value)` Convert String value to instance.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TypeUtil

    public TypeUtil()

Method Detail

### fromName

    public static java.lang.Class fromName(java.lang.String name)

  Class from a canonical name for a type.

  Parameters:
    `name` - A class or type name.
  Returns:
    A class , which may be a primitive TYPE field..

### toName

    public static java.lang.String toName(java.lang.Class type)

  Canonical name for a type.

  Parameters:
    `type` - A class , which may be a primitive TYPE field.
  Returns:
    Canonical name.

### valueOf

    public static java.lang.Object valueOf(java.lang.Class type,
                                           java.lang.String value)

  Convert String value to instance.

  Parameters:
    `type` - The class of the instance, which may be a primitive TYPE field.
    `value` - The value as a string.
  Returns:
    The value as an Object.

### valueOf

    public static java.lang.Object valueOf(java.lang.String type,
                                           java.lang.String value)

  Convert String value to instance.

  Parameters:
    `type` - classname or type (eg int)
    `value` - The value as a string.
  Returns:
    The value as an Object.

### newInteger

    public static java.lang.Integer newInteger(int i)

  Convert int to Integer using cache.

### toString

    public static java.lang.String toString(int i)

  Convert int to String using cache.

### parseInt

    public static int parseInt(java.lang.String s,
                               int offset,
                               int length,
                               int base)
                        throws java.lang.NumberFormatException

  Parse an int from a substring. Negative numbers are not handled.

  Parameters:
    `s` - String
    `offset` - Offset within string
    `length` - Length of integer or -1 for remainder of string
    `base` - base of the integer
  Throws:
    `java.lang.NumberFormatException`

### parseBytes

    public static byte[] parseBytes(java.lang.String s,
                                    int base)

### toString

    public static java.lang.String toString(byte[] bytes,
                                            int base)

### convertHexDigit

    public static byte convertHexDigit(byte b)

  Parameters:
    `b` - An ASCII encoded character 0-9 a-f A-F
  Returns:
    The byte value of the character 0-16.

### toHexString

    public static java.lang.String toHexString(byte[] b)

### toHexString

    public static java.lang.String toHexString(byte[] b,
                                               int offset,
                                               int length)

### fromHexString

    public static byte[] fromHexString(java.lang.String s)

Copyright © 2000 Mortbay Consulting Pty. Ltd. All Rights Reserved.